"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const windowManager_1 = require("./windowManager");
const userData_1 = require("./userData");
const process_1 = require("process");
const fs_1 = require("fs");
electron_1.app.whenReady().then(() => {
    if (process.platform === "darwin" || process.platform === "win32") {
        const dockMenu = electron_1.Menu.buildFromTemplate([
            {
                label: "New Window",
                click() {
                    new windowManager_1.WindowManager();
                }
            }
        ]);
        electron_1.app.dock.setMenu(dockMenu);
    }
});
electron_1.app.on("window-all-closed", () => {
    if (process.platform !== "darwin") {
        electron_1.app.quit();
    }
});
electron_1.app.on("activate", () => {
    if (electron_1.BrowserWindow.getAllWindows().length === 0) {
        new windowManager_1.WindowManager(userData_1.userData.getProjectPath());
    }
});
const openProjectFromIcon = [];
electron_1.app.whenReady().then(() => {
    const projectDir = openProjectFromIcon.pop() || process_1.argv[1];
    if (projectDir && (0, fs_1.existsSync)(projectDir) && (0, fs_1.statSync)(projectDir).isDirectory()) {
        console.log("Open project from cmd: " + projectDir);
        new windowManager_1.WindowManager(projectDir);
    }
    else {
        new windowManager_1.WindowManager(userData_1.userData.getProjectPath());
    }
});
electron_1.app.on("open-file", (e, path) => {
    e.preventDefault();
    if ((0, fs_1.existsSync)(path) && (0, fs_1.statSync)(path).isDirectory()) {
        if (electron_1.app.isReady()) {
            console.log("Open project " + path);
            new windowManager_1.WindowManager(path);
        }
        else {
            openProjectFromIcon.push(path);
        }
    }
});
